## python-coverage 3.6

=== requirements.txt ===
nose
mock
tox
pylint
sphinx

## python-coverage 3.2

=== debian/changelog ===
python-coverage (3.2-0ubuntu1) maverick; urgency=low

  * Package taken from Debian sponsorship queue: (LP: #395599)
    http://mentors.debian.net/cgi-bin/sponsor-pkglist?action=details;package=python-coverage

  [ Ben Finney ]
  * The “Artificial Conscience” release.
  * New upstream version. Primary user-visible changes:
    + Command-line interface re-worked with sub-commands.
    + Inspection now traverses egg packages.
    + Branch coverage recording and reporting.
    + New XML format for generated reports.
  * debian/control:
    + Remove Lars Wirzenius from all roles at his request.
    + Conform to ‘Standards-Version: 3.8.4’. No changes required.
  * debian/python-coverage.install, debian/python-coverage.manpages:
    + Use ‘dh_installman(1)’ to install man pages.
  * debian/control, debian/rules:
    + Add ‘python-coverage-dbg’ package for debugging symbols.
    + Use newer ‘debhelper’ to ensure automated build for all supported
      versions and for debug packages.
  * debian/copyright:
    + Update copyright information for latest upstream source.
  * debian/source/format:
    + Convert packaging to source format “3.0 (quilt)”.
  * debian/python-coverage.dirs:
    + Removed, the ‘/usr/bin/’ directory is created by ‘setup.py’.
  * debian/rules:
    + Remove, during ‘clean’ target, files that clobber upstream source.
    + Specify installation of Python package to ‘/usr/’ hierarchy (not
      default).

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 15 Jul 2010 10:37:20 +1000

python-coverage (3.0.1-1) unstable; urgency=low

  * The “Rods and Cones” release.
  * New upstream version. Primary user-visible changes:
    + Remove tracer recursion limit.
    + Skip coverage of ‘coverage’ library code.
    + Run Python source files in “universal newline mode”.
  * debian/control:
    + Update email address for Lars Wirzenius.
    + Comply with ‘Standards-Version: 3.8.3’. No changes required.
    + Update ‘Homepage’ field.
    + Add ‘VCS-bzr’ and ‘VCS-Browser’ fields.
    + Build for all supported Python versions.
  * debian/README.source:
    + Remove, no longer applicable.
  * debian/pyversions:
    + Specify Python versions supported.

 -- Ben Finney <ben+debian@benfinney.id.au>  Fri, 02 Oct 2009 14:16:46 +1000

python-coverage (3.0-1) unstable; urgency=low

  * The “ladny” release.

  [ Ben Finney ]
  * New upstream version. Primary user-visible changes:
    + Major overhaul: refactored into a Python package, with some
      functionality implemented in C for speed.
    + Defaults to skipping measurement of standard library coverage.
    + HTML output now available, via ‘-b’ option.
    (Closes: bug#535764)
  * debian/watch:
    + Primary upstream source distribution channel is now the Cheese Shop.
    + Deal with crazy-arse version comparison semantics.
  * debian/control, debian/rules, debian/compat:
    + Comply with ‘Standards-Version: 3.8.2’. No changes required.
    + Migrate from CDBS to debhelper 7.
  * debian/control, debian/rules, debian/preinst:
    + Migrate from python-central to python-support.
  * debian/rules:
    + Install upstream changelog.
  * debian/control, debian/rules:
    + Package is arch-dependent now that it uses C extension.
  * debian/control:
    + Set myself as Maintainer, demote Lars Wirzenius to Uploader at his
      request. Thanks, Lars!

 -- Ben Finney <ben+debian@benfinney.id.au>  Sun, 05 Jul 2009 09:06:58 +1000

python-coverage (2.85-1) unstable; urgency=low
  
  [ Lars Wirzenius ]
  * debian/control: Added missing DM-Upload-Allowed field.

  [ Ben Finney ]
  * New upstream version:
    + Use os.realpath as part of the fixing of filenames so that symlinks
      won't confuse things. Thanks, Patrick Mezard.
      Closes: bug#495963.
  * debian/rules:
    + Fix bogus executable permission for non-program files from upstream
      tarball.
  * debian/copyright:
    + Re-work to proposed machine-parseable format.
  * debian/control:
    + Comply with ‘Standards-Version: 3.8.1’.
    + Add ‘Depends: ${misc:Depends}’ for debhelper.

 -- Ben Finney <ben+debian@benfinney.id.au>  Thu, 19 Mar 2009 23:25:23 +1100

python-coverage (2.80-2) unstable; urgency=medium

  [ Ben Finney ]
  * debian/control
    + Fix missing Depends: python-pkg-resources. Thanks to Sami Liedes for
      the bug report. (Closes: bug#496001)

 -- Ben Finney <ben+debian@benfinney.id.au>  Fri, 22 Aug 2008 10:02:53 +1000

python-coverage (2.80-1) unstable; urgency=low

  [ Ben Finney ]
  * New upstream release.
  * debian/control
    + Added Ben Finney to Uploaders.
    + Set Standards-Version to 3.8.0 (no changes required).
    + Add Build-Depends-Indep: python-setuptools, as now used by upstream
      packaging.
    + Upgrade Build-Depends-Indep: python-central to version that doesn't
      require 'debian/pycompat'.
  * debian/pycompat
    + Remove obsolete file.
  * debian/watch
    + Added, pointing to upstream author's site.
  * debian/rules
    + Upstream packaging installs program to '/usr/bin/coverage', move to
      '/usr/bin/python-coverage' to conform with existing versions.

 -- Ben Finney <ben+debian@benfinney.id.au>  Mon, 30 Jun 2008 23:44:57 +1000

python-coverage (2.78-1) unstable; urgency=low

  * New upstream release. Thank you to Ben Finney for helping with the
    packaging. (Closes: #454982)
  * Homepage should be among control fields now (Closes: #456498)
  * Standards-Version upgraded to 3.7.3. No changes required.
  * Changed section to python.
  * Added python (>= 2.3) to Build-Depends, because of 'debian/rules
    clean' needing it.

 -- Lars Wirzenius <liw@iki.fi>  Sun, 11 May 2008 14:37:15 +0300

python-coverage (2.6-1) unstable; urgency=low

  * Initial version. Closes: #405230.

 -- Lars Wirzenius <liw@iki.fi>  Sun, 19 Aug 2007 22:53:59 +0300

=== debian/control ===
Source: python-coverage
Maintainer: Ben Finney <ben+debian@benfinney.id.au>
DM-Upload-Allowed: yes
Section: python
Priority: optional
Standards-Version: 3.8.4
Build-Depends:
    debhelper (>= 7.3.5),
    python-support (>= 0.90),
    python-setuptools,
    python-all-dev (>= 2.3),
    python-all-dbg,
    python (>= 2.3)
Homepage: http://nedbatchelder.com/code/coverage/
VCS-bzr: http://bzr.debian.org/bzr/collab-maint/python-coverage/python-coverage.debian/
VCS-Browser: http://bzr.debian.org/loggerhead/collab-maint/python-coverage/python-coverage.debian/

Package: python-coverage
Architecture: any
Depends:
    python-pkg-resources,
    ${python:Depends},
    ${shlibs:Depends},
    ${misc:Depends}
Description: code coverage tool for Python
 The ‘coverage’ library measures which parts (statements) of a Python
 program are executed while it is run. This is useful for testing:
 those parts of a program that are not executed by the tests have not
 been tested.
 .
 This package contains the Python ‘coverage’ library and the
 ‘python-coverage’ program to perform and report coverage tests.

Package: python-coverage-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
    python-coverage (= ${binary:Version}),
    python-dbg,
    ${misc:Depends}
Description: code coverage tool for Python – debug symbols
 The ‘coverage’ library measures which parts (statements) of a Python
 program are executed while it is run. This is useful for testing:
 those parts of a program that are not executed by the tests have not
 been tested.
 .
 This package contains the debugging symbols for the C extension
 libraries in ‘python-coverage’.

=== debian/rules ===
#! /usr/bin/make -f
#
# debian/rules

PACKAGE_NAME = python-coverage
debug_package_name = ${PACKAGE_NAME}-dbg
PACKAGE_INSTALL_BIN_DIR = debian/${PACKAGE_NAME}/usr/bin

DISTRIBUTION_NAME = coverage
EGG_INFO_DIR = ${DISTRIBUTION_NAME}.egg-info

GENERATED_FILES += ${EGG_INFO_DIR}/PKG-INFO ${EGG_INFO_DIR}/SOURCES.txt

PYVERS = $(shell pyversions -vs)


.PHONY: build
build:
	: # Set executable mode off for all non-packaging files.
	chmod -x $$(find . -path ./debian -prune -o ! -type d -print)

	dh build

.PHONY: clean
clean:
	dh clean
	rm -rf ${GENERATED_FILES}

.PHONY: install
install: build
	dh install

.PHONY: binary-indep
binary-indep: build install

.PHONY: binary-arch
binary-arch: build install
	dh binary-arch

.PHONY: binary
binary: build binary-indep binary-arch

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbg-package=${debug_package_name}

.PHONY: override_dh_auto_install
override_dh_auto_install: ${PYVERS:%=python-install%}

python-install%:
	python$* setup.py install \
	    --root $(CURDIR)/debian/${PACKAGE_NAME} \
	    --prefix usr

.PHONY: override_dh_install
override_dh_install:
	mv ${PACKAGE_INSTALL_BIN_DIR}/coverage \
	    ${PACKAGE_INSTALL_BIN_DIR}/python-coverage
	dh_install

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs CHANGES.txt

.PHONY: override_dh_pysupport
override_dh_pysupport:
	dh_pysupport /usr/share/${PACKAGE_NAME}


# Local variables:
# mode: makefile
# coding: utf-8
# End:
# vim: filetype=make fileencoding=utf-8 :

## python-coverage 3.4

=== debian/changelog ===
python-coverage (3.4-3ubuntu1) quantal; urgency=low

  * Merge from Debian testing (LP: #1007137).  Remaining changes:
    - debian/control: Suggests libjs-jquery, libjs-jquery-tablesorter.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 31 May 2012 17:02:47 -0400

python-coverage (3.4-3) unstable; urgency=medium

  * debian/rules:
    Revert mistaken method of consolidating doc directories, which doesn't
    work because it asks ‘dpkg’ to violate Policy (Closes: bug#672224).

 -- Ben Finney <ben+debian@benfinney.id.au>  Thu, 10 May 2012 10:21:16 +1000

python-coverage (3.4-2) unstable; urgency=low

  * debian/control:
    + Conform to ‘Standards-Version: 3.9.3’. No additional changes required.
    + Update VCS fields following changes at Alioth.
    + Ensure shlibs dependencies for each arch-dependent package.
  * debian/compat, debian/control:
    + Increase minimum ‘debhelper’ dependency to one which supports the
      rules targets we're now using.
      (Closes: bug#659643)
  * debian/copyright:
    + Conform to copyright format version 1.0.
  * debian/rules:
    + Use main package doc directory (via symlink) for debug package.
  * debian/rules, debian/*.install:
    + More fiddling with installation of files for debug package.

 -- Ben Finney <ben+debian@benfinney.id.au>  Mon, 26 Mar 2012 23:35:13 +1100

python-coverage (3.4-1ubuntu1) precise; urgency=low

  * Bump version number, introducing Ubuntu delta from last upload
    which satisfied requirements for python-coverage MIR of dropping
    libjs-jquery to Suggests. LP: #981101

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Mon, 23 Apr 2012 10:38:29 +0100

python-coverage (3.4-1build2) precise; urgency=low

  *  Suggests libjs-jquery.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 19 Apr 2012 01:01:20 -0700

python-coverage (3.4-1build1) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:09:24 +0000

python-coverage (3.4-1) unstable; urgency=low

  * The “Mravaljamier” release.
  * New upstream version (Closes: bug#600672).
    Primary user-visible changes:
    + Settings are now read from a .coveragerc file.
    + Enable coverage measurement when Python starts.
    + Support for Python 2.7 and 3.2 opcodes.
    + Finer control over what gets recorded or reported.
  * debian/preinst:
    + Remove: Squeeze is released, so we no longer need to maintain the
      special cleanup of ‘python-central’ mess.
  * debian/copyright:
    + Conform to current DEP-5 format.
    + Update with current copyright information.
  * debian/control:
    + Conform to ‘Standards-Version: 3.9.2’. No additional changes required.
  * debian/control, debian/rules:
    + Switch to ‘dh_python2’ packaging helper.
    + Depend on ECMAScript libraries needed for HTML reports.
    + Remove duplicate ECMAScript libraries.
  * debian/patches/01.refactor-handling-static-files.patch,
    debian/patches/02.use-system-js-libraries.patch:
    + Use the Debian system ECMAScript libraries
      (Closes: bug#596212).

 -- Ben Finney <ben+debian@benfinney.id.au>  Wed, 27 Jul 2011 16:23:25 +1000

python-coverage (3.2-1) unstable; urgency=low

  * The “Artificial Conscience” release.
  * New upstream version. Primary user-visible changes:
    + Command-line interface re-worked with sub-commands.
    + Inspection now traverses egg packages.
    + Branch coverage recording and reporting.
    + New XML format for generated reports.
  * debian/control:
    + Remove Lars Wirzenius from all roles at his request.
    + Conform to ‘Standards-Version: 3.8.4’. No changes required.
  * debian/python-coverage.install, debian/python-coverage.manpages:
    + Use ‘dh_installman(1)’ to install man pages.
  * debian/control, debian/rules:
    + Add ‘python-coverage-dbg’ package for debugging symbols.
    + Use newer ‘debhelper’ to ensure automated build for all supported
      versions and for debug packages.
  * debian/copyright:
    + Update copyright information for latest upstream source.
  * debian/source/format:
    + Convert packaging to source format “3.0 (quilt)”.
  * debian/python-coverage.dirs:
    + Removed, the ‘/usr/bin/’ directory is created by ‘setup.py’.
  * debian/rules:
    + Remove, during ‘clean’ target, files that clobber upstream source.
    + Specify installation of Python package to ‘/usr/’ hierarchy (not
      default).

 -- Ben Finney <ben+debian@benfinney.id.au>  Wed, 03 Feb 2010 15:03:59 +1100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: python-coverage
-Maintainer: Ben Finney <ben+debian@benfinney.id.au>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ben Finney <ben+debian@benfinney.id.au>
 DM-Upload-Allowed: yes
 Section: python
 Priority: optional
-Standards-Version: 3.8.4
+Standards-Version: 3.9.3
 Build-Depends:
-    debhelper (>= 7.3.5),
-    python-support (>= 0.90),
+    debhelper (>= 8.1~),
     python-setuptools,
-    python-all-dev (>= 2.3),
+    python-all-dev (>= 2.6.6-3~),
     python-all-dbg,
-    python (>= 2.3)
+    python (>= 2.6.6-3~)
 Homepage: http://nedbatchelder.com/code/coverage/
-VCS-bzr: http://bzr.debian.org/bzr/collab-maint/python-coverage/python-coverage.debian/
-VCS-Browser: http://bzr.debian.org/loggerhead/collab-maint/python-coverage/python-coverage.debian/
+VCS-bzr: http://anonscm.debian.org/bzr/collab-maint/python-coverage/python-coverage.debian/
+VCS-Browser: http://anonscm.debian.org/loggerhead/collab-maint/python-coverage/python-coverage.debian/
 
 Package: python-coverage
 Architecture: any
+Suggests: libjs-jquery, libjs-jquery-tablesorter
 Depends:
     python-pkg-resources,
     ${python:Depends},
@@ -37,8 +38,10 @@
 Priority: extra
 Depends:
     python-coverage (= ${binary:Version}),
-    python-dbg,
+    ${shlibs:Depends},
     ${misc:Depends}
+Recommends:
+    python-dbg
 Description: code coverage tool for Python – debug symbols
  The ‘coverage’ library measures which parts (statements) of a Python
  program are executed while it is run. This is useful for testing:

=== debian/rules ===
#! /usr/bin/make -f
#
# debian/rules

PACKAGE_NAME = python-coverage
debug_package_name = ${PACKAGE_NAME}-dbg
package_install_root = debian/tmp
package_install_bin_dir = ${package_install_root}/usr/bin
debug_object_glob = *_d.so

DISTRIBUTION_NAME = coverage
egg_info_dir = ${DISTRIBUTION_NAME}.egg-info

duplicate_libraries :=

HTMLFILES_DIR = coverage/htmlfiles
duplicate_libraries += $(addprefix ${HTMLFILES_DIR}/, \
	jquery-1.3.2.min.js \
	jquery.tablesorter.min.js \
	)

GENERATED_FILES += ${egg_info_dir}/PKG-INFO ${egg_info_dir}/SOURCES.txt


.PHONY: build
build: remove-duplicate-libraries build-arch build-indep
	dh $@ --with python2

.PHONY: build-arch
build-arch: build-stamp
	dh $@ --with python2

.PHONY: build-indep
build-indep: build-stamp
	dh $@ --with python2

build-stamp:
	touch $@

.PHONY: remove-duplicate-libraries
remove-duplicate-libraries:
	$(RM) ${duplicate_libraries}

.PHONY: clean
clean:
	dh $@ --with python2
	$(RM) -r ${GENERATED_FILES}

.PHONY: install
install: build
	dh $@ --with python2 --package ${debug_package_name}
	dh $@ --with python2 --exclude ${debug_object_glob}


.PHONY: binary-indep
binary-indep: build install

.PHONY: binary-arch
binary-arch: build install
	dh $@ --with python2

.PHONY: binary
binary: build binary-indep binary-arch


.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbg-package=${debug_package_name}

.PHONY: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install
	mv ${package_install_bin_dir}/coverage \
	    ${package_install_bin_dir}/python-coverage

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs CHANGES.txt


# Local variables:
# mode: makefile
# coding: utf-8
# End:
# vim: filetype=make fileencoding=utf-8 :

## python-coverage 3.6

=== debian/changelog ===
python-coverage (3.6-0ubuntu6) saucy; urgency=low

  * 02.use-system-js-libraries.patch: Update to deal with the
    removal of jquery.isonscreen.js and jquery.hotkeys.js 
  * Add libjs-jquery-hotkeys and libjs-jquery-isonscreen to Suggests
    (not Depends as they are not in main).
  * debian/rules: Make the override_dh_auto_build target depend on
    the remove-bundled-libraries target so the bundled JavaScript
    libraries are removed no matter which arch the package is being
    built on (LP: #1215175).

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Thu, 19 Sep 2013 16:47:07 -0400

python-coverage (3.6-0ubuntu5) saucy; urgency=low

  * Install python-coverage instead of coverage, like we used to. 
  * Fix some other bad .install entries too. 
  * Break and Replace python-coverage from python3-coverage due to the
    inadvertant shipping of duplicate files in the past.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 12 Jul 2013 17:31:58 +0100

python-coverage (3.6-0ubuntu4) saucy; urgency=low

  * debian/python-coverage.install: fix file conflicts. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 11 Jul 2013 11:18:42 -0500

python-coverage (3.6-0ubuntu3) saucy; urgency=low

  * debian/conrol,debian/rules: Add python2/python3 support. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 10 Jul 2013 08:14:26 -0500

python-coverage (3.6-0ubuntu2) raring; urgency=low

  * Fix a typo in 02.use-system-js-libraries.patch that was causing
    NameErrors (LP: #1109090).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 19 Mar 2013 19:25:38 +0400

python-coverage (3.6-0ubuntu1) raring; urgency=low

  * New upstream release.
  * Dropped:
    - debian/patches/01.refactor-handling-static-files.patch: No longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 25 Jan 2013 09:06:51 -0600

=== debian/control ===
--- 
+++ 
@@ -10,20 +10,43 @@
     python-setuptools,
     python-all-dev (>= 2.6.6-3~),
     python-all-dbg,
-    python (>= 2.6.6-3~)
+    python (>= 2.6.6-3~),
+    python3-setuptools,
+    python3-all-dev,
+    python3-all-dbg,
+    python3
 Homepage: http://nedbatchelder.com/code/coverage/
 VCS-bzr: http://anonscm.debian.org/bzr/collab-maint/python-coverage/python-coverage.debian/
 VCS-Browser: http://anonscm.debian.org/loggerhead/collab-maint/python-coverage/python-coverage.debian/
 
 Package: python-coverage
 Architecture: any
-Suggests: libjs-jquery, libjs-jquery-tablesorter
+Suggests: libjs-jquery, libjs-jquery-tablesorter, libjs-jquery-hotkeys, libjs-jquery-isonscreen
 Depends:
     python-pkg-resources,
     ${python:Depends},
     ${shlibs:Depends},
     ${misc:Depends}
-Description: code coverage tool for Python
+Description: code coverage tool for Python (python2)
+ The ‘coverage’ library measures which parts (statements) of a Python
+ program are executed while it is run. This is useful for testing:
+ those parts of a program that are not executed by the tests have not
+ been tested.
+ .
+ This package contains the Python ‘coverage’ library and the
+ ‘python-coverage’ program to perform and report coverage tests.
+
+Package: python3-coverage
+Architecture: any
+Suggests: libjs-jquery, libjs-jquery-tablesorter, libjs-jquery-hotkeys, libjs-jquery-isonscreen
+Breaks: python-coverage (<< 3.6-0ubuntu5)
+Replaces: python-coverage (<< 3.6-0ubuntu5)
+Depends:
+    python3-pkg-resources,
+    ${python3:Depends},
+    ${shlibs:Depends},
+    ${misc:Depends}
+Description: code coverage tool for Python (python3)
  The ‘coverage’ library measures which parts (statements) of a Python
  program are executed while it is run. This is useful for testing:
  those parts of a program that are not executed by the tests have not
@@ -42,7 +65,7 @@
     ${misc:Depends}
 Recommends:
     python-dbg
-Description: code coverage tool for Python – debug symbols
+Description: code coverage tool for Python – debug symbols (python2)
  The ‘coverage’ library measures which parts (statements) of a Python
  program are executed while it is run. This is useful for testing:
  those parts of a program that are not executed by the tests have not
@@ -50,3 +73,22 @@
  .
  This package contains the debugging symbols for the C extension
  libraries in ‘python-coverage’.
+
+Package: python3-coverage-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends:
+    python3-coverage (= ${binary:Version}),
+    ${shlibs:Depends},
+    ${misc:Depends}
+Recommends:
+    python3-dbg
+Description: code coverage tool for Python – debug symbols (python3)
+ The ‘coverage’ library measures which parts (statements) of a Python
+ program are executed while it is run. This is useful for testing:
+ those parts of a program that are not executed by the tests have not
+ been tested.
+ .
+ This package contains the debugging symbols for the C extension
+ libraries in ‘python-coverage’.

=== debian/rules ===
#! /usr/bin/make -f
#
# debian/rules

PYTHON2_PACKAGE_NAME = python-coverage
PYTHON3_PACKAGE_NAME = python3-coverage
python2_debug_package_name = ${PYTHON2_PACKAGE_NAME}-dbg
python3_debug_package_name = ${PYTHON3_PACKAGE_NAME}-dbg
package_working_root = debian
package_install_root = ${package_working_root}/tmp
package_install_bin_dir = ${package_install_root}/usr/bin
MANPAGE_SUFFIX = .1
default_manpage_name = python-coverage${MANPAGE_SUFFIX}
python2_manpage_names = $(addsuffix ${MANPAGE_SUFFIX}, \
	$(notdir $(wildcard ${package_install_bin_dir}/python2*-coverage)))
python3_manpage_names = $(addsuffix ${MANPAGE_SUFFIX}, \
	$(notdir $(wildcard ${package_install_bin_dir}/python3*-coverage)))
versioned_manpage_names = ${python2_manpage_names} ${python3_manpage_names}
versioned_manpage_paths = $(addprefix ${package_working_root}/, \
	${versioned_manpage_names})
debug_object_glob = *_d.so

PYTHON2 = $(shell pyversions -vr)
PYTHON3 = $(shell py3versions -vr)

DISTRIBUTION_NAME = coverage
egg_info_dir = ${DISTRIBUTION_NAME}.egg-info

duplicate_libraries :=

HTMLFILES_DIR = coverage/htmlfiles
bundled_libraries += $(addprefix ${HTMLFILES_DIR}/, \
	jquery-1.4.3.min.js \
	jquery.hotkeys.js \
	jquery.isonscreen.js \
	jquery.tablesorter.min.js \
	)

GENERATED_FILES += ${egg_info_dir}/PKG-INFO ${egg_info_dir}/SOURCES.txt

# Send HTTP traffic to the “discard” service during packaging actions.
export http_proxy = http://127.0.1.1:9/
export https_proxy = ${http_proxy}


ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
.PHONY: test-python%
test-python%:
	python$* setup.py test -vv

.PHONY: override_dh_auto_test
override_dh_auto_test: $(PYTHON2:%=test-python%) $(PYTHON3:%=test-python%)
endif


.PHONY: build
build: manpage-symlinks build-arch build-indep
	dh $@ --with python2,python3

.PHONY: build-arch
build-arch: build-stamp
	dh $@ --with python2,python3

.PHONY: build-indep
build-indep: build-stamp
	dh $@ --with python2,python3

build-stamp:
	touch $@

.PHONY: build-python%
build-python%:
	python$* setup.py build

.PHONY: manpage-symlinks
manpage-symlinks: ${versioned_manpage_paths}

${package_working_root}/%${MANPAGE_SUFFIX}:
	ln -s ${default_manpage_name} $@

.PHONY: override_dh_auto_build
override_dh_auto_build: remove-bundled-libraries $(PYTHON3:%=build-python%)
	dh_auto_build


.PHONY: remove-bundled-libraries
remove-bundled-libraries:
	$(RM) ${bundled_libraries}

.PHONY: clean
clean:
	dh $@ --with python2,python3
	$(RM) -r ${GENERATED_FILES}

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r build
	$(RM) -r *.egg-info


.PHONY: install
install: build
	dh $@ --with python2,python3 \
	    --package ${python2_debug_package_name} \
	    --package ${python3_debug_package_name}
	dh $@ --with python2,python3 --exclude ${debug_object_glob}

.PHONY: install-python%
install-python%:
	python$* setup.py install --install-layout=deb \
	    --root=$(CURDIR)/${package_install_root}


.PHONY: binary-indep
binary-indep: build install

.PHONY: binary-arch
binary-arch: build install
	dh $@ --with python2,python3

.PHONY: binary
binary: build binary-indep binary-arch


.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --package=${PYTHON2_PACKAGE_NAME} --dbg-package=${python2_debug_package_name}
	dh_strip --package=${PYTHON3_PACKAGE_NAME} --dbg-package=${python3_debug_package_name}

.PHONY: override_dh_auto_install
override_dh_auto_install: $(PYTHON3:%=install-python%)
override_dh_auto_install:
	dh_auto_install
	mv ${package_install_bin_dir}/coverage \
           ${package_install_bin_dir}/python-coverage

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs CHANGES.txt

.PHONY: override_dh_installdocs
override_dh_installdocs:
	dh_installdocs \
	    --package=${PYTHON2_PACKAGE_NAME} \
	    --package=${python2_debug_package_name} \
            --link-doc=${PYTHON2_PACKAGE_NAME}
	dh_installdocs \
	    --package=${PYTHON3_PACKAGE_NAME} \
	    --package=${python3_debug_package_name} \
	    --link-doc=${PYTHON3_PACKAGE_NAME}

.PHONY: override_dh_installman
override_dh_installman:
	dh_installman \
	    --package=${PYTHON2_PACKAGE_NAME} \
	    $(addprefix ${package_working_root}/, \
	        ${python2_manpage_names} ${default_manpage_name})
	dh_installman \
	    --package=${PYTHON3_PACKAGE_NAME} \
	    $(addprefix ${package_working_root}/,${python3_manpage_names})


# Local variables:
# mode: makefile
# coding: utf-8
# End:
# vim: filetype=make fileencoding=utf-8 :

## python-coverage 3.7+dfsg.1

=== debian/changelog ===
python-coverage (3.7+dfsg.1-3) unstable; urgency=low

  * The “Gul Makai” release.
  * debian/rules, debian/*-dbg.install:
    + Build and install Python debug build of extension module.
      (Closes: bug#728548)
  * debian/control:
    + Update description for debug packages.

 -- Ben Finney <ben+debian@benfinney.id.au>  Sun, 10 Nov 2013 17:25:29 +1100

python-coverage (3.7+dfsg.1-2) unstable; urgency=medium

  * The “Malala Yousafzai” release.
  * debian/rules:
    + Correct creation of version-specific resource directory symlink.
      (Closes: bug#727711)
  * debian/*.{pre,post}inst:
    + Make parameter handling more explicit.

 -- Ben Finney <ben+debian@benfinney.id.au>  Tue, 29 Oct 2013 09:13:11 +1100

python-coverage (3.7+dfsg.1-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * debian/*.install:
    + Install files separately for Python 2 and Python 3 packages.
  
  [ Ben Finney ]
  * New upstream version (Closes: bug#635476).
  * debian/control:
    + Conform to ‘Standards-Version: 3.9.4’.
      * Remove obsolete field ‘DM-Upload-Allowed’.
  * debian/rules, debian/control:
    + Build binary packages for both Python 2 and Python 3.
      (Closes: bug#690575)
    + Remove more bundled ECMAScript libraries, declare dependencies on
      their Debian packages instead.
    + Demote ECMAScript dependencies (for HTML reports) to “Recommends”.
  * debian/rules, debian/*-dbg.postinst, debian/*.install:
    + Use main package doc directory (via symlink) for debug package.
  * debian/rules, debian/*.install, debian/*.links, debian/*.manpages:
    + Separate programs and manpages for Python 2 and Python 3.
    + Generate manpage from reStructuredText source.
    + Update the manpage document with current Coverage behaviour.
      (Closes: bug#496002)
    + Use main manpage for each versioned command.
  * debian/rules, debian/*.install, debian/*.links, debian/*.preinst:
    + Remove an existing platform-specific ‘htmlfiles’ directory; this
      package will create it as a symlink to the platform-independent
      location.
    + Install resource data files as platform-independent files.
      (Closes: bug#721676)
  * debian/control, debian/compat:
    + Use Debhelper >= 9 to get Debian compilation build flags.
  * debian/rules:
    + Send HTTP traffic to the “discard” service during packaging actions.
  * debian/watch, debian/repack:
    + Configure ‘uscan’ to re-pack upstream source tarball, removing
      non-DFSG-free obfuscated files. Thanks to Thomas Goirand and Stuart
      Prescott for advice on how to address this bug.
      (Closes: bug#726005)
  * debian/README.source, debian/source.lintian-overrides:
    + Explain how ‘uscan’ will get our upstream source.
  * debian/copyright:
    + Update copyright years.
  * debian/README.Debian:
    + Explain separate versioned packaging and program names.
  * debian/patches/:
    + 01.remove-resource-files-from-distutils-setup.patch:
      Don't treat resource data files as Python package data.
      (Closes: bug#723788)
    + 03.rename-public-programs.patch:
      Rename public programs to be clear what they're for.
    + Patches incorporated upstream:
      * 01.refactor-handling-static-files.patch
    + Updated patches:
      * 02.use-system-ecmascript-libraries.patch

 -- Ben Finney <ben+debian@benfinney.id.au>  Tue, 15 Oct 2013 13:16:36 +1100

=== debian/control ===
Source: python-coverage
Maintainer: Ben Finney <ben+debian@benfinney.id.au>
Section: python
Priority: optional
Standards-Version: 3.9.4
Build-Depends:
    debhelper (>= 9~),
    python-docutils,
    python-setuptools,
    python-all-dev (>= 2.6.6-3~),
    python-all-dbg,
    python (>= 2.6.6-3~),
    python3-setuptools,
    python3-all-dev,
    python3-all-dbg,
    python3
Homepage: http://nedbatchelder.com/code/coverage/
VCS-bzr: http://anonscm.debian.org/bzr/collab-maint/python-coverage/python-coverage.debian/
VCS-Browser: http://anonscm.debian.org/loggerhead/collab-maint/python-coverage/python-coverage.debian/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-coverage
Architecture: any
Depends:
    python-pkg-resources,
    ${python:Depends},
    ${shlibs:Depends},
    ${misc:Depends}
Recommends:
    libjs-jquery-hotkeys,
    libjs-jquery-isonscreen,
    libjs-jquery-tablesorter,
    libjs-jquery
Description: code coverage tool for Python 2
 The ‘coverage’ library measures which parts (statements) of a Python
 program are executed while it is run. This is useful for testing:
 those parts of a program that are not executed by the tests have not
 been tested.
 .
 This package contains the Python version 2 ‘coverage’ library, and the
 ‘python-coverage’ program to perform and report coverage tests.

Package: python3-coverage
Architecture: any
Depends:
    python3-pkg-resources,
    ${python3:Depends},
    ${shlibs:Depends},
    ${misc:Depends}
Recommends:
    libjs-jquery-hotkeys,
    libjs-jquery-isonscreen,
    libjs-jquery-tablesorter,
    libjs-jquery
Description: code coverage tool for Python 3
 The ‘coverage’ library measures which parts (statements) of a Python
 program are executed while it is run. This is useful for testing:
 those parts of a program that are not executed by the tests have not
 been tested.
 .
 This package contains the Python version 3 ‘coverage’ library, and the
 ‘python3-coverage’ program to perform and report coverage tests.

Package: python-coverage-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
    python-coverage (= ${binary:Version}),
    ${shlibs:Depends},
    ${misc:Depends}
Recommends:
    python-dbg
Description: code coverage tool for Python 2 – debug library
 The ‘coverage’ library measures which parts (statements) of a Python
 program are executed while it is run. This is useful for testing:
 those parts of a program that are not executed by the tests have not
 been tested.
 .
 This package contains the debugging symbols and debug build for the C
 extension libraries in ‘python-coverage’.

Package: python3-coverage-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
    python3-coverage (= ${binary:Version}),
    ${shlibs:Depends},
    ${misc:Depends}
Recommends:
    python3-dbg
Description: code coverage tool for Python 3 – debug library
 The ‘coverage’ library measures which parts (statements) of a Python
 program are executed while it is run. This is useful for testing:
 those parts of a program that are not executed by the tests have not
 been tested.
 .
 This package contains the debugging symbols and debug build for the C
 extension libraries in ‘python3-coverage’.

=== debian/rules ===
#! /usr/bin/make -f
#
# debian/rules

SOURCE_PACKAGE_NAME = python-coverage
PYTHON2_PACKAGE_NAME = python-coverage
PYTHON3_PACKAGE_NAME = python3-coverage
python2_debug_package_name = ${PYTHON2_PACKAGE_NAME}-dbg
python3_debug_package_name = ${PYTHON3_PACKAGE_NAME}-dbg
package_working_root = debian
package_install_root = ${package_working_root}/tmp
package_install_bin_dir = ${package_install_root}/usr/bin

PYTHON2_VERSIONS = $(shell pyversions -vr)
PYTHON3_VERSIONS = $(shell py3versions -vr)
PYTHON_VERSIONS = ${PYTHON2_VERSIONS} ${PYTHON3_VERSIONS}

python3_objcode_versions = $(shell \
	printf "%s" ${PYTHON3_VERSIONS} | sed -e 's/\.//g')
debug_object_exclude += _d.so
debug_object_exclude += $(foreach ver,${python3_objcode_versions}, \
	.cpython-${ver}dm.so)

DISTRIBUTION_NAME = coverage
egg_info_dir = ${DISTRIBUTION_NAME}.egg-info
GENERATED_FILES += ${egg_info_dir}/PKG-INFO ${egg_info_dir}/SOURCES.txt

HTMLFILES_DIR = ${DISTRIBUTION_NAME}/htmlfiles
htmlfiles_dirname = $(notdir ${HTMLFILES_DIR})
bundled_libraries += $(addprefix ${HTMLFILES_DIR}/, \
	jquery.hotkeys.js \
	jquery.isonscreen.js \
	)

RESOURCES_DIR = resources
package_install_resources_root = ${package_install_root}/${RESOURCES_DIR}

DOCUMENTATION_DIR = doc
MANPAGE_SUFFIX = .1
manpage_tempfile_suffix = ${MANPAGE_SUFFIX}.tmp
default_manpage_name = python-coverage${MANPAGE_SUFFIX}
python2_manpage_names = $(addsuffix ${MANPAGE_SUFFIX}, \
	$(notdir $(wildcard ${package_install_bin_dir}/python2*-coverage)))
python3_manpage_names = $(addsuffix ${MANPAGE_SUFFIX}, \
	$(notdir $(wildcard ${package_install_bin_dir}/python3*-coverage)))
versioned_manpage_names = ${python2_manpage_names} ${python3_manpage_names}
versioned_manpage_paths = $(addprefix ${DOCUMENTATION_DIR}/, \
	${versioned_manpage_names})
GENERATED_FILES += ${DOCUMENTATION_DIR}/*${MANPAGE_SUFFIX}
GENERATED_FILES += ${DOCUMENTATION_DIR}/*${manpage_tempfile_suffix}

INSTALL = install

# Send HTTP traffic to the “discard” service during packaging actions.
export http_proxy = http://127.0.1.1:9/
export https_proxy = ${http_proxy}

RST_SUFFIX = .txt

RST2MAN = rst2man


ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
.PHONY: test-python%
test-python%:
	python$* setup.py test -vv

.PHONY: override_dh_auto_test
override_dh_auto_test: $(foreach pyversion,${PYTHON_VERSIONS},$(pyversion:%=test-python%))
endif


.PHONY: build
build: build-arch build-indep
build: remove-bundled-libraries
build: ${MANPAGES} manpage-symlinks
	dh $@ --with python2,python3

.PHONY: build-arch
build-arch: build-stamp
	dh $@ --with python2,python3

.PHONY: build-indep
build-indep: build-stamp
	dh $@ --with python2,python3

build-stamp:
	touch $@

.PHONY: build-python%
build-python%:
	python$*-dbg setup.py build
	python$* setup.py build

.PHONY: remove-bundled-libraries
remove-bundled-libraries:
	$(RM) ${bundled_libraries}

.PHONY: manpage-symlinks
manpage-symlinks: ${versioned_manpage_paths}

${DOCUMENTATION_DIR}/${default_manpage_name}: ${package_working_root}/${default_manpage_name}
	$(INSTALL) --mode=u=rw,go=r $< $@

${DOCUMENTATION_DIR}/%${MANPAGE_SUFFIX}: ${DOCUMENTATION_DIR}/${default_manpage_name}
	ln -s ${default_manpage_name} $@

%.1: %.1${RST_SUFFIX}
	$(RST2MAN) $< > $@.tmp
	cat debian/manpage_encoding_declaration.UTF-8 $@.tmp > $@


.PHONY: clean
clean:
	dh $@ --with python2,python3
	$(RM) -r ${GENERATED_FILES}

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r build
	$(RM) -r *.egg-info


.PHONY: install
install: build
	dh $@ --with python2,python3 \
	    --package ${python2_debug_package_name} \
	    --package ${python3_debug_package_name}
	dh $@ --with python2,python3 \
	    $(foreach exclude_part,${debug_object_exclude}, \
	        --exclude ${exclude_part})

${package_install_resources_root}:
	$(INSTALL) -d $@

${package_install_resources_root}/${htmlfiles_dirname}: ${HTMLFILES_DIR} ${package_install_resources_root}
	$(INSTALL) -d $@
	$(INSTALL) --mode=u=rw,go=r $</* $@

.PHONY: install-resource-files
install-resource-files: ${package_install_resources_root}
install-resource-files: ${package_install_resources_root}/${htmlfiles_dirname}

.PHONY: install-python%
install-python%:
	python$*-dbg setup.py install --install-layout=deb \
	    --root=$(CURDIR)/${package_install_root}
	python$* setup.py install --install-layout=deb \
	    --root=$(CURDIR)/${package_install_root}


.PHONY: binary-indep
binary-indep: build install

.PHONY: binary-arch
binary-arch: build install
	dh $@ --with python2,python3

.PHONY: binary
binary: build binary-indep binary-arch


.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --package=${PYTHON2_PACKAGE_NAME} --dbg-package=${python2_debug_package_name}
	dh_strip --package=${PYTHON3_PACKAGE_NAME} --dbg-package=${python3_debug_package_name}

.PHONY: override_dh_auto_build
override_dh_auto_build: $(foreach pyversion,${PYTHON_VERSIONS},$(pyversion:%=build-python%))
override_dh_auto_build:
	dh_auto_build

.PHONY: override_dh_auto_install
override_dh_auto_install: $(foreach pyversion,${PYTHON_VERSIONS},$(pyversion:%=install-python%))
override_dh_auto_install: install-resource-files
	dh_auto_install

.PHONY: override_dh_link
override_dh_link:
	dh_link
	for pyversion in ${PYTHON2_VERSIONS} ; do \
	    dh_link \
	        --package=${PYTHON2_PACKAGE_NAME} \
	        usr/share/${PYTHON2_PACKAGE_NAME}/${htmlfiles_dirname} \
	        usr/lib/python$${pyversion}/dist-packages/${HTMLFILES_DIR} ; \
	done

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs CHANGES.txt

.PHONY: override_dh_installdocs
override_dh_installdocs:
	dh_installdocs \
	    --package=${PYTHON2_PACKAGE_NAME} \
	    --package=${python2_debug_package_name} \
            --link-doc=${PYTHON2_PACKAGE_NAME}
	dh_installdocs \
	    --package=${PYTHON3_PACKAGE_NAME} \
	    --package=${python3_debug_package_name} \
	    --link-doc=${PYTHON3_PACKAGE_NAME}


# Local variables:
# mode: makefile
# coding: utf-8
# End:
# vim: filetype=make fileencoding=utf-8 :

=== debian/watch ===
# debian/watch
# Debian uscan file for python-coverage package.
# Manpage: uscan(1)

# Compulsory line, this is a version 3 file.
version=3

# Current version from Cheese Shop.
opts="uversionmangle=s/(\d)([a-z]\d+)$/$1~$2/,dversionmangle=s/\+dfsg\.\d+$//" \
    http://pypi.python.org/packages/source/c/coverage/coverage-(.+).tar.gz \
    debian debian/repack

## python-coverage 3.7.1%2Bdfsg.1

=== debian/changelog ===
python-coverage (3.7.1+dfsg.1-1ubuntu7) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jan 2016 20:42:57 +0000

python-coverage (3.7.1+dfsg.1-1ubuntu6) xenial; urgency=medium

  * Add back closing endif.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 26 Oct 2015 13:34:00 +0300

python-coverage (3.7.1+dfsg.1-1ubuntu5) xenial; urgency=medium

  * Drop wrong override_dh_auto_test target.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 26 Oct 2015 13:26:03 +0300

python-coverage (3.7.1+dfsg.1-1ubuntu4) xenial; urgency=medium

  * No-change rebuild for python3 defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 Oct 2015 10:51:58 +0000

python-coverage (3.7.1+dfsg.1-1ubuntu3) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 21:31:58 +0000

python-coverage (3.7.1+dfsg.1-1ubuntu2) trusty; urgency=medium

  * No-change rebuild to drop support for Python 3.3.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Mar 2014 10:04:23 +0100

python-coverage (3.7.1+dfsg.1-1ubuntu1) trusty; urgency=medium

  * Merge with Debian unstable, remaining change:
    - Add python3-coverage.preinst to correctly handle upgrades from
      previous releases.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 07 Mar 2014 09:26:38 +0400

python-coverage (3.7.1+dfsg.1-1) unstable; urgency=medium

  * The “Ziauddin Yousafzai” release.
  * Urgency “medium” because we fix a bug of severity “serious”.
  * New upstream version.
    (Closes: bug#735359)
  * debian/patches/:
    + Patches incorporated upstream:
      * 02.use-system-ecmascript-libraries.patch
      Remaining patch files re-sequenced contiguously.
    + Add editor hints to patch files.
  * debian/repack:
    + Correct quoting of parameters (quote parameters used as filesystem
      entry names, don't quote parameters used as numbers).
  * debian/rules:
    + Explicitly replace shebang for programs needing default Python
      interpreter (Closes: bug#736121).
    + Correct generation of Python version strings for object code
      filenames (Closes: bug#740053).
      Thanks to Dmitry Shachnev for the bug report and patch.

 -- Ben Finney <ben+debian@benfinney.id.au>  Wed, 05 Mar 2014 13:14:27 +1100

python-coverage (3.7+dfsg.1-4ubuntu2) trusty; urgency=medium

  * Build for python 3.4.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Feb 2014 20:37:07 +0100

python-coverage (3.7+dfsg.1-4ubuntu1) trusty; urgency=medium

  * Add python3-coverage.preinst (based on existing python-coverage.preinst)
    to correctly handle upgrades from previous releases. Previously
    /usr/lib/python3/dist-packages/coverage/htmlfiles was a directory,
    now it is a symbolic link (see Debian #734850).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 20 Jan 2014 19:08:47 +0400

python-coverage (3.7+dfsg.1-4) unstable; urgency=medium

  * The “Thorpekai Yousafzai” release.
  * Urgency “medium” because we fix a bug of severity “serious”.
  * debian/python3-coverage-dbg.install, debian/rules:
    + Correct file glob for excluding Python 3 debug symbols files.
      (Closes: bug#734853, thanks to Dmitry Shachnev for help)
  * debian/control:
    + Conform to “Standards-Version: 3.9.5”. No additional changes required.
  * debian/rules, debian/source.lintian-overrides:
    + Add ‘get-orig-source’ target (as recommended by Policy §4.9).
    + Remove Lintian override, now satisfied.
  * debian/repack:
    + Pack the tarball according to recommendations in Developer's
      Reference §6.7.8.2.
  * debian/bzr-builddeb.conf:
    + Add this package's configuration for ‘bzr builddeb’.

 -- Ben Finney <ben+debian@benfinney.id.au>  Mon, 13 Jan 2014 14:51:52 +1100
